/**
    Read Common image format supported by Qt

    Generate metadata, preview, and thumbnails for EkosLive Offline Viewer.

    2020 Jasem Mutlaq
    Ikarus Technologies
**/

#pragma once

#include <QImage>

namespace CommonFormats
{

QByteArray metadata(const QString &filename);
QImage toImage(const QString &filename, int maxWidth, int quality);
}
